[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TZipFileEntries.AddFileEntries

Adds TZipFileEntry instances in the collection for the file names in List

## Declaration

Source position: zipper.pp line 407

`public procedure TZipFileEntries.AddFileEntries(`
`const List: TStrings`
`);`

## Arguments

`List` |  | TStrings instance with the list of file names added to the collection

## Description

AddFileEntries is a method used to add a list of files names to the collection. List contains the file names added in the method. AddFileEntries iterates over the string values in List, and calls the AddFileEntry method to create new items in the collection.

## See also

TZipFileEntries.AddFileEntry |  | Adds file to zip directory